package com.rdkr.tide_display.backend;

import lombok.val;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.modulith.core.ApplicationModules;
import org.springframework.modulith.docs.Documenter;

@SpringBootTest
class ApplicationTests {

	@Test
	void contextLoads() {
	}

	@Test
	void modules() {
		ApplicationModules.of(Application.class).forEach(System.out::println);
	}

	@Test
	void verify() {
		ApplicationModules.of(Application.class).verify();
	}

	@Test
	void documentation() {
		val modules = ApplicationModules.of(Application.class).verify();

		new Documenter(modules).writeModulesAsPlantUml();
	}

}
